<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$trat_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from rol where rol_id=".$_GET["id"]) or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$rol_id=$dato['rol_id'];
$rol_nombre=$dato['rol_nombre'];
?>
<form role="form" id="mod_rol" method="post" >  
    <div class="form-group ">
	    <label for="nombres" class="col-sm-4 control-label">Nombre</label>
		<div class="col-sm-8">
			<input type="text" class="form-control" id="rol_nombre" name="rol_nombre" value="<?php echo $rol_nombre; ?>" required>
			<input type="hidden" class="form-control" id="rol_id" name="rol_id" value="<?php echo $rol_id; ?>" required>
			</br>
		</div>
	</div>
    </br></br>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button id="modificar_rol" type="submit" class="btn btn-success">Modificar </button> 
    </div>	
</form>

<script>
$( "#mod_rol" ).submit(function( event ) {
$('#modificar_rol').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_configuraciones/editar_rol.php",
      data: parametros,
      
        beforeSend: function(objeto){
         $('#resultados_rol').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_rol").html(datos);
      $('#modificar_rol').attr("disabled", false);
      loadTabla();
      }
  });
  event.preventDefault();
})
</script>